@echo off
::adresar instalace OpenRail 10.11
::===========================
set OR_REGKEY=HKEY_LOCAL_MACHINE\SOFTWARE\Bentley\Installed_Products\{E4DBA4A0-5F0B-31C8-8206-BB7EC9495183}
set OR_REGVAL=ConfigurationPath

:: Test existence instalace OpenRoads v registrech
reg query %OR_REGKEY% /v %OR_REGVAL% /reg:64 2>nul || (echo Nebyla nalezena instalace OpenRail 10.11! & pause & exit/b 1)

:: nastaveni cesty adresare "Configuration" - promenna ConfigurationPath
set OR_CFGPATH=
for /f "tokens=2,*" %%a in ('reg query %OR_REGKEY% /v %OR_REGVAL% /reg:64 ^| findstr %OR_REGVAL%') do (
    set OR_CFGPATH=%%b
)
cls
:: Pokud nenasel nastavenou cestu
if not defined OR_CFGPATH (echo Nebyla nalezena cesta k adresari ...Configuration! & pause & exit/b 1)
::echo %OR_CFGPATH%

:: instalace
::===========================
echo:
echo ...instaluji CZ Dataset...
echo:

:: pokud je starsi instalace, odstranit (ponechat ale workspaces - worksety,...)
if exist "%OR_CFGPATH%\Organization-Civil\CZ Standards.cfg" (
	echo:
	echo Odstranuji predchozi instalaci datasetu...
	RD /S/Q "%OR_CFGPATH%\Organization-Civil\CZ Standards\"
	del "%OR_CFGPATH%\Organization-Civil\CZ Standards.cfg"
	echo Instaluji novy dataset...
)

::xcopy /D/Y/E/Q "	D znamena jen prepis souboru s datumem vyssim
xcopy /Y/E/Q "Organization-Civil_CZ Standards\*.*" "%OR_CFGPATH%\Organization-Civil" 
copy "CZ_Standards_dataset_1010_popis.pdf" "%OR_CFGPATH%\Organization-Civil\CZ_Standards_dataset_1010_popis.pdf"  >nul
xcopy /Y/E/Q "Workspaces_CZ Standards\*.*" "%OR_CFGPATH%\WorkSpaces"  >nul
echo:
echo Instalace CZ Datasetu 10.10 do OpenRailu 10.11 byla dokoncena.
echo:
echo Stisknete libovolnou klavesu...
pause